With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.
If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by promotion_id or ref_id.
Note: To assign rewards/commission for sales via the API use the Tracking API
If this call is successful and you enabled ‘Promoter gets a new commission/reward’ emails for the campaign, it will send emails to the promoter. To skip the emails, set the skip_email_notification parameter to true
HTTP Request POST https://firstpromoter.com/api/v1/rewards/create
POST
/
create
cURL
curl --request POST \ --url https://firstpromoter.com/api/v1/rewards/create \ --header 'X-API-KEY: <api-key>'
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"FirstPromoter Docs","colors":{"primary":"#2497F3","light":"#42A5F5","dark":"#1A1C25"},"logo":{"light":"https://mintcdn.com/firstpromoter/Qml53iAwCwPGiKRZ/logo/light.svg?fit=max\u0026auto=format\u0026n=Qml53iAwCwPGiKRZ\u0026q=85\u0026s=17d35344b27497f795682da8932295c9","dark":"https://mintcdn.com/firstpromoter/Qml53iAwCwPGiKRZ/logo/dark.svg?fit=max\u0026auto=format\u0026n=Qml53iAwCwPGiKRZ\u0026q=85\u0026s=ef23e747176d9a87b5ddf122595793f8"},"favicon":"https://mintcdn.com/firstpromoter/rNk-Jdvp2vdjAvd9/favicon.png?fit=max\u0026auto=format\u0026n=rNk-Jdvp2vdjAvd9\u0026q=85\u0026s=7faf17e323609b0fef661b9a9fe49ebc","navbar":{"links":[{"href":"mailto:support@firstpromoter.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://login.firstpromoter.com/"}},"footer":{"socials":{"x":"https://x.com/firstpromoter","linkedin":"https://www.linkedin.com/company/first-promoter"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"firstpromoter","hasAudioNarration":false,"actualSubdomain":"firstpromoter","customDomains":["docs.firstpromoter.com"],"gitSource":{"type":"github","owner":"firstpromoter","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad5d6664613fdc88740d8e9","collectionId":"8fbb5c1e-fc55-4dd1-8162-6bca9be88e0f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad5d6664613fdc88740d8e9"},"entitlements":{},"buildId":"6ad5d6664613fdc88740d8e9","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"Documentation","count":209},{"language":"default","tag":"API Reference","count":81},{"language":"default","tag":"Integration Options","count":39},{"language":"default","tag":"Promoters","count":25},{"language":"default","tag":"Platform","count":22},{"language":"default","tag":"Webhooks","count":9},{"language":"default","tag":"Reports","count":8},{"language":"default","tag":"Custom","count":8},{"language":"default","tag":"Payouts","count":7},{"language":"default","tag":"Commissions","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference-v1/rewards-api/create","slug":"/api-reference-v1/rewards-api/create","pageMetadata":{"title":"Create new reward","openapi":"openapi-rewards POST /create","description":"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.\u003cbr/>\u003cbr/>If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by `promotion_id` or `ref_id`. \u003cNote>Note: To assign rewards/commission for sales via the API use the Tracking API\u003c/Note>\u003cNote>If this call is successful and you enabled 'Promoter gets a new commission/reward' emails for the campaign, it will send emails to the promoter. To skip the emails, set the `skip_email_notification` parameter to `true`\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/>`POST https://firstpromoter.com/api/v1/rewards/create`\u003c/Tip>","href":"/api-reference-v1/rewards-api/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n }, {Note, Tip} = _components;\n if (!Note) _missingMdxReference(\"Note\", true);\n if (!Tip) _missingMdxReference(\"Tip\", true);\n return _jsxs(_components.p, {\n children: [\"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.\", _jsx(\"br\", {}), _jsx(\"br\", {}), \"If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by \", _jsx(_components.code, {\n children: \"promotion_id\"\n }), \" or \", _jsx(_components.code, {\n children: \"ref_id\"\n }), \". \", _jsx(Note, {\n children: \"Note: To assign rewards/commission for sales via the API use the Tracking API\"\n }), _jsxs(Note, {\n children: [\"If this call is successful and you enabled ‘Promoter gets a new commission/reward’ emails for the campaign, it will send emails to the promoter. To skip the emails, set the \", _jsx(_components.code, {\n children: \"skip_email_notification\"\n }), \" parameter to \", _jsx(_components.code, {\n children: \"true\"\n })]\n }), _jsxs(Tip, {\n children: [_jsx(_components.strong, {\n children: \"HTTP Request\"\n }), \" \", _jsx(\"br\", {}), _jsx(_components.code, {\n children: \"POST https://firstpromoter.com/api/v1/rewards/create\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create new reward","openapi":"openapi-rewards POST /create","description":"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.\u003cbr/>\u003cbr/>If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by `promotion_id` or `ref_id`. \u003cNote>Note: To assign rewards/commission for sales via the API use the Tracking API\u003c/Note>\u003cNote>If this call is successful and you enabled 'Promoter gets a new commission/reward' emails for the campaign, it will send emails to the promoter. To skip the emails, set the `skip_email_notification` parameter to `true`\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/>`POST https://firstpromoter.com/api/v1/rewards/create`\u003c/Tip>","href":"/api-reference-v1/rewards-api/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/firstpromoter/8ad42af542d542c7/downloadables/fpr-prox.js"],"openApiReferenceData":{"operation":{"description":"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.\u003cbr/>\u003cbr/>If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by `promotion_id` or `ref_id`. \u003cNote>Note: To assign rewards/commission for sales via the API use the Tracking API\u003c/Note>\u003cNote>If this call is successful and you enabled 'Promoter gets a new commission/reward' emails for the campaign, it will send emails to the promoter. To skip the emails, set the `skip_email_notification` parameter to `true`\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/>`POST https://firstpromoter.com/api/v1/rewards/create`\u003c/Tip>","parameters":["bf43fea9-641a-4f82-9a2e-cb33d2c7c05f","b376e638-c284-423d-a0cc-9eef044142e1","772ae157-35da-4f57-adfa-65ecf661e41a","e89e8211-b693-4391-bf73-140bdb9316a1","37245d3c-29b3-488d-899e-17a765074e4b","02172965-662a-4095-96a1-0ef1889d6aec","960ab6bf-2c4f-40d8-9037-af93fe8010b2","861d3986-10ce-430b-a2b0-48b19a894da6","fa12ede7-c9fc-4997-a1f6-0607871eddb8"],"responses":{"200":"3e257070-55b8-4a51-9316-46b223457c67","401":"0018dddc-2def-490c-9474-d8c40d9342e0","422":"e4b2dfe6-c1c0-4044-b8e0-d335da93cb2b"},"method":"post","type":"path","servers":["d1218227-0e0a-4e8e-ad20-36ea6c40c31f"],"security":["9ed98f7a-a371-47dc-8a88-76e26684bd6a"],"path":"/create","baseUrlOptions":["https://firstpromoter.com/api/v1/rewards"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"bf43fea9-641a-4f82-9a2e-cb33d2c7c05f":{"name":"lead_id","in":"query","description":"Lead's id who generated the reward","schema":{"type":"string","description":"Lead's id who generated the reward","uniqueKey":"","typeLabel":"string"}},"b376e638-c284-423d-a0cc-9eef044142e1":{"name":"uid","in":"query","description":"UID of the lead who generated the reward","schema":{"type":"string","description":"UID of the lead who generated the reward","uniqueKey":"","typeLabel":"string"}},"772ae157-35da-4f57-adfa-65ecf661e41a":{"name":"email","in":"query","description":"Email of the lead who generated the reward.","schema":{"type":"string","description":"Email of the lead who generated the reward.","uniqueKey":"","typeLabel":"string"}},"e89e8211-b693-4391-bf73-140bdb9316a1":{"name":"promotion_id","in":"query","description":"Promotion id of the promoter who owns the reward","schema":{"type":"string","description":"Promotion id of the promoter who owns the reward","uniqueKey":"","typeLabel":"string"}},"37245d3c-29b3-488d-899e-17a765074e4b":{"name":"ref_id","in":"query","description":"Promotion referral id of the promoter who owns the reward","schema":{"type":"string","description":"Promotion referral id of the promoter who owns the reward","uniqueKey":"","typeLabel":"string"}},"02172965-662a-4095-96a1-0ef1889d6aec":{"name":"reward_type","in":"query","required":true,"description":"Type of reward","schema":{"type":"string","enum":["points","credits","free_months","discount_per","discount_mon"],"isRequired":true,"description":"Type of reward","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"960ab6bf-2c4f-40d8-9037-af93fe8010b2":{"name":"amount","in":"query","required":true,"description":"Amount of the reward","schema":{"type":"integer","isRequired":true,"description":"Amount of the reward","uniqueKey":"","typeLabel":"integer"}},"861d3986-10ce-430b-a2b0-48b19a894da6":{"name":"status","in":"query","description":"can be `approved`(default if this param is omitted), `pending` or `denied`","schema":{"type":"string","enum":["approved","pending","denied"],"description":"can be `approved`(default if this param is omitted), `pending` or `denied`","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"fa12ede7-c9fc-4997-a1f6-0607871eddb8":{"name":"skip_email_notification","in":"query","description":"Set this to `true` to skip email notifications. Default is `false`.","schema":{"type":"boolean","description":"Set this to `true` to skip email notifications. Default is `false`.","uniqueKey":"","typeLabel":"boolean"}}},"responses":{"3e257070-55b8-4a51-9316-46b223457c67":{"description":"Rewards created response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"ID of the reward","type":"number","uniqueKey":"id","typeLabel":"number"},"status":{"description":"status of the reward.","type":"string","enum":["approved","pending","denied"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"amount":{"description":"amount of the reward","type":"integer","uniqueKey":"amount","typeLabel":"integer"},"unit":{"description":"The reward unit.","type":"string","enum":["cash","credits","points","free_months"],"uniqueKey":"unit","typeLabel":"enum\u003cstring>"},"created_at":{"description":"ISO date string at which the reward is created","type":"string","uniqueKey":"created_at","typeLabel":"string"},"lead":{"oneOf":[{}],"uniqueKey":"lead","typeLabel":"any"},"event_id":{"type":"string","uniqueKey":"event_id","typeLabel":"string"},"conversion_amount":{"type":"integer","uniqueKey":"conversion_amount","typeLabel":"integer"},"tier_level":{"description":"The reward tier level","type":"integer","uniqueKey":"tier_level","typeLabel":"integer"},"promoter":{"type":"object","properties":{"id":{"description":"promoter's id","type":"integer","uniqueKey":"promoter.id","typeLabel":"integer"},"status":{"description":"promoter's status","type":"string","uniqueKey":"promoter.status","typeLabel":"string"},"cust_id":{"description":"customer/user ID of the promoter inside your application. This will be included in the webhook event and can be used to identify the promoter in your system if you subscribe for FirstPromoter's 'promoter_accepted' webhook.","uniqueKey":"promoter.cust_id","typeLabel":"any"},"email":{"description":"Promoter's email","type":"string","uniqueKey":"promoter.email","typeLabel":"string"},"created_at":{"description":"ISO date string at which the promoter signed up","type":"string","uniqueKey":"promoter.created_at","typeLabel":"string"},"temp_password":{"description":"A temporary password the promoter can use to log in to their dashboard if you don't use authentication tokens(auth_token) to sign promoters in automatically.","type":"string","uniqueKey":"promoter.temp_password","typeLabel":"string"},"default_promotion_id":{"description":"Promoter's default promotion id","type":"number","uniqueKey":"promoter.default_promotion_id","typeLabel":"number"},"pref":{"description":"Promoter's parent referral id.","type":"string","uniqueKey":"promoter.pref","typeLabel":"string"},"default_ref_id":{"description":"Promoter's default referral id","type":"string","uniqueKey":"promoter.default_ref_id","typeLabel":"string"},"note":{"description":"A note/description of promoter","type":"string","uniqueKey":"promoter.note","typeLabel":"string"},"w8_form_url":{"oneOf":[{}],"uniqueKey":"promoter.w8_form_url","typeLabel":"any"},"w9_form_url":{"oneOf":[{}],"uniqueKey":"promoter.w9_form_url","typeLabel":"any"},"parent_promoter_id":{"description":"parent promoter id","type":"string","uniqueKey":"promoter.parent_promoter_id","typeLabel":"string"},"earnings_balance":{"description":"promoter's earnings balance","type":"object","uniqueKey":"promoter.earnings_balance","typeLabel":"object"},"current_balance":{"description":"promoter's current balance","type":"object","uniqueKey":"promoter.current_balance","typeLabel":"object"},"paid_balance":{"description":"promoter's paid balance","type":"object","uniqueKey":"promoter.paid_balance","typeLabel":"object"},"auth_token":{"description":"authentication token generated when the promoter was created","type":"string","uniqueKey":"promoter.auth_token","typeLabel":"string"}},"uniqueKey":"promoter","typeLabel":"object"},"promotion":{"type":"object","properties":{"id":{"description":"ID of the promotion.","type":"number","uniqueKey":"promotion.id","typeLabel":"number"},"status":{"description":"Current offer status.","type":"string","uniqueKey":"promotion.status","typeLabel":"string"},"ref_id":{"type":"string","uniqueKey":"promotion.ref_id","typeLabel":"string"},"promo_code":{"description":"The unique coupon id or coupon code from your billing provider to assign to this affiliate for coupon tracking. This is also known as promo code.","type":"string","uniqueKey":"promotion.promo_code","typeLabel":"string"},"customer_promo_code":{"description":"This is discount code/promotion code your customer used or applied on your checkout page. This is also known as display code","type":"string","uniqueKey":"promotion.customer_promo_code","typeLabel":"string"},"target_reached_at":{"type":"string","uniqueKey":"promotion.target_reached_at","typeLabel":"string"},"promoter_id":{"description":"ID of the promoter/affiliate.","type":"number","uniqueKey":"promotion.promoter_id","typeLabel":"number"},"campaign_id":{"description":"ID of the campaign where the promotion runs.","type":"number","uniqueKey":"promotion.campaign_id","typeLabel":"number"},"referral_link":{"description":"Promoter's referral link","type":"string","uniqueKey":"promotion.referral_link","typeLabel":"string"},"current_offer":{"type":"object","properties":{"id":{"description":"The reward id","type":"number","uniqueKey":"promotion.current_offer.id","typeLabel":"number"},"name":{"description":"The reward name","type":"string","uniqueKey":"promotion.current_offer.name","typeLabel":"string"},"amount":{"description":"The reward amount","type":"number","uniqueKey":"promotion.current_offer.amount","typeLabel":"number"},"unit":{"description":"The reward unit (e.g., 'credits', 'free_months', 'cash').","type":"string","uniqueKey":"promotion.current_offer.unit","typeLabel":"string"},"default_promo_code":{"type":"string","uniqueKey":"promotion.current_offer.default_promo_code","typeLabel":"string"}},"uniqueKey":"promotion.current_offer","typeLabel":"object"},"current_referral_reward":{"type":"object","properties":{"id":{"type":"number","uniqueKey":"promotion.current_referral_reward.id","typeLabel":"number"},"amount":{"type":"number","uniqueKey":"promotion.current_referral_reward.amount","typeLabel":"number"},"unit":{"type":"string","uniqueKey":"promotion.current_referral_reward.unit","typeLabel":"string"},"name":{"type":"string","uniqueKey":"promotion.current_referral_reward.name","typeLabel":"string"},"per_of_sale":{"type":"number","uniqueKey":"promotion.current_referral_reward.per_of_sale","typeLabel":"number"},"default_promo_code":{"type":"string","uniqueKey":"promotion.current_referral_reward.default_promo_code","typeLabel":"string"}},"uniqueKey":"promotion.current_referral_reward","typeLabel":"object"},"current_promotion_reward":{"type":"object","uniqueKey":"promotion.current_promotion_reward","typeLabel":"object"},"current_target_reward":{"type":"object","uniqueKey":"promotion.current_target_reward","typeLabel":"object"},"campaign_name":{"type":"string","uniqueKey":"promotion.campaign_name","typeLabel":"string"},"hidden":{"type":"boolean","uniqueKey":"promotion.hidden","typeLabel":"boolean"},"visitors_count":{"type":"number","uniqueKey":"promotion.visitors_count","typeLabel":"number"},"leads_count":{"type":"number","uniqueKey":"promotion.leads_count","typeLabel":"number"},"customers_count":{"type":"number","uniqueKey":"promotion.customers_count","typeLabel":"number"},"refunds_count":{"type":"number","uniqueKey":"promotion.refunds_count","typeLabel":"number"},"cancellations_count":{"type":"number","uniqueKey":"promotion.cancellations_count","typeLabel":"number"},"sales_count":{"type":"number","uniqueKey":"promotion.sales_count","typeLabel":"number"},"sales_total":{"type":"number","uniqueKey":"promotion.sales_total","typeLabel":"number"},"refunds_total":{"type":"number","uniqueKey":"promotion.refunds_total","typeLabel":"number"},"active_customers_count":{"type":"number","uniqueKey":"promotion.active_customers_count","typeLabel":"number"}},"uniqueKey":"promotion","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":123,"status":"approved","amount":123,"unit":"cash","created_at":"\u003cstring>","lead":"\u003cunknown>","event_id":"\u003cstring>","conversion_amount":123,"tier_level":123,"promoter":{"id":123,"status":"\u003cstring>","cust_id":"\u003cunknown>","email":"\u003cstring>","created_at":"\u003cstring>","temp_password":"\u003cstring>","default_promotion_id":123,"pref":"\u003cstring>","default_ref_id":"\u003cstring>","note":"\u003cstring>","w8_form_url":"\u003cunknown>","w9_form_url":"\u003cunknown>","parent_promoter_id":"\u003cstring>","earnings_balance":{},"current_balance":{},"paid_balance":{},"auth_token":"\u003cstring>"},"promotion":{"id":123,"status":"\u003cstring>","ref_id":"\u003cstring>","promo_code":"\u003cstring>","customer_promo_code":"\u003cstring>","target_reached_at":"\u003cstring>","promoter_id":123,"campaign_id":123,"referral_link":"\u003cstring>","current_offer":{"id":123,"name":"\u003cstring>","amount":123,"unit":"\u003cstring>","default_promo_code":"\u003cstring>"},"current_referral_reward":{"id":123,"amount":123,"unit":"\u003cstring>","name":"\u003cstring>","per_of_sale":123,"default_promo_code":"\u003cstring>"},"current_promotion_reward":{},"current_target_reward":{},"campaign_name":"\u003cstring>","hidden":true,"visitors_count":123,"leads_count":123,"customers_count":123,"refunds_count":123,"cancellations_count":123,"sales_count":123,"sales_total":123,"refunds_total":123,"active_customers_count":123}}}},"exampleType":"generated"}},"exampleType":"generated"},"0018dddc-2def-490c-9474-d8c40d9342e0":{"description":"Authentication Error","content":{"application/json":{"schema":{"type":"string","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"\u003cstring>"}},"exampleType":"generated"}},"exampleType":"generated"},"e4b2dfe6-c1c0-4044-b8e0-d335da93cb2b":{"description":"Unprocessable Entity error 422 response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"9ed98f7a-a371-47dc-8a88-76e26684bd6a":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[]}}},"servers":{"d1218227-0e0a-4e8e-ad20-36ea6c40c31f":{"url":"https://firstpromoter.com/api/v1/rewards"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[]},"schema":{"title":"X-API-KEY","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"X-API-KEY"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference-v1/rewards-api/openapi-rewards.json"},"subdomain":"firstpromoter","siteName":"FirstPromoter Docs","title":"Create new reward - FirstPromoter Docs","navMaps":{"firstHrefInVersion":{"v2":{"href":"/api-reference-v2/api-advanced/rewards/get-rewards","matchLevel":2},"v1":{"href":"/api-reference-v1/rewards-api/create","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-08-07T12:33:18.781Z","originalFileLocation":"api-reference-v1/rewards-api/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by promotion_id or ref_id. Note: To assign rewards/commission for sales via the API use the Tracking APIIf this call is successful and you enabled \u0026#x27;Promoter gets a new commission/reward\u0026#x27; emails for the campaign, it will send emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/rewards/create\">\u003cmeta data-mint-head name=\"application-name\" content=\"FirstPromoter Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create new reward - FirstPromoter Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by promotion_id or ref_id. Note: To assign rewards/commission for sales via the API use the Tracking APIIf this call is successful and you enabled \u0026#x27;Promoter gets a new commission/reward\u0026#x27; emails for the campaign, it will send emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/rewards/create\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"FirstPromoter Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://firstpromoter.mintlify.app/_mintlify/api/og/v2?division=Rewards\u0026amp;title=Create+new+reward\u0026amp;description=With+this+endpoint%2C+you+can+assign+a+commission+generated+by+a+referral%2C+and+it+will+be+recorded+to+the+promoter+who+referred+the+lead%2Fcustomer.+You+can+find+th\u0026amp;theme=6c5c6938239eba73fb25a5bd\u0026amp;signature=75cb1335fed7e540b2a22508d83f73eba9b3e484ed16fc24083cf169be3f4416\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create new reward - FirstPromoter Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by promotion_id or ref_id. Note: To assign rewards/commission for sales via the API use the Tracking APIIf this call is successful and you enabled \u0026#x27;Promoter gets a new commission/reward\u0026#x27; emails for the campaign, it will send emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/rewards/create\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://firstpromoter.mintlify.app/_mintlify/api/og/v2?division=Rewards\u0026amp;title=Create+new+reward\u0026amp;description=With+this+endpoint%2C+you+can+assign+a+commission+generated+by+a+referral%2C+and+it+will+be+recorded+to+the+promoter+who+referred+the+lead%2Fcustomer.+You+can+find+th\u0026amp;theme=6c5c6938239eba73fb25a5bd\u0026amp;signature=75cb1335fed7e540b2a22508d83f73eba9b3e484ed16fc24083cf169be3f4416\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"FirstPromoter Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2497F3\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference-v1/rewards-api/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.firstpromoter.com/#organization\",\"name\":\"FirstPromoter Docs\",\"url\":\"https://docs.firstpromoter.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/firstpromoter/Qml53iAwCwPGiKRZ/logo/light.svg?fit=max\u0026auto=format\u0026n=Qml53iAwCwPGiKRZ\u0026q=85\u0026s=17d35344b27497f795682da8932295c9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.firstpromoter.com#website\",\"name\":\"FirstPromoter Docs\",\"url\":\"https://docs.firstpromoter.com\",\"publisher\":{\"@id\":\"https://docs.firstpromoter.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create#webpage\",\"url\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create\",\"name\":\"Create new reward\",\"description\":\"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by promotion_id or ref_id. Note: To assign rewards/commission for sales via the API use the Tracking APIIf this call is successful and you enabled 'Promoter gets a new commission/reward' emails for the campaign, it will send emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/rewards/create\",\"dateModified\":\"2025-08-07T12:33:18.781Z\",\"isPartOf\":{\"@id\":\"https://docs.firstpromoter.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"FirstPromoter Docs\",\"item\":\"https://docs.firstpromoter.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create new reward\",\"item\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create#apireference\",\"headline\":\"Create new reward\",\"name\":\"Create new reward\",\"description\":\"With this endpoint, you can assign a commission generated by a referral, and it will be recorded to the promoter who referred the lead/customer. You can find the referral by lead_id, email, or UID.If the reward/commission is not generated by a lead/customer, you can assign it directly to a promoter through its promotion. You can find the promotion by promotion_id or ref_id. Note: To assign rewards/commission for sales via the API use the Tracking APIIf this call is successful and you enabled 'Promoter gets a new commission/reward' emails for the campaign, it will send emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/rewards/create\",\"url\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/rewards-api/create#webpage\"},\"dateModified\":\"2025-08-07T12:33:18.781Z\",\"publisher\":{\"@id\":\"https://docs.firstpromoter.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.firstpromoter.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"FirstPromoter Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"FirstPromoter Docs","nav":{"global":null,"versions":[{"version":"v2","pages":[{"title":"v2","href":"/api-reference-v2/api-advanced/rewards/get-rewards"}]},{"version":"v1","anchors":[{"anchor":"Documentation","icon":"book-open","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference-v1/introduction"},{"title":"Authentication","href":"/api-reference-v1/authentication"}]},{"group":"Tracking","pages":[{"title":"Tracking leads and sign-ups","openapi":"openapi-tracking POST /signup","href":"/api-reference-v1/tracking-api/leads-and-signups"},{"title":"Tracking sales and commissions","openapi":"openapi-tracking POST /sale","href":"/api-reference-v1/tracking-api/sales"},{"title":"Tracking refunds and negative commissions","openapi":"openapi-tracking POST /refund","href":"/api-reference-v1/tracking-api/refund"},{"title":"Tracking cancellations","openapi":"openapi-tracking POST /cancellation","href":"/api-reference-v1/tracking-api/cancellation"}]},{"group":"Leads","pages":[{"title":"Modify existing lead/customer","openapi":"openapi-leads PUT /update","href":"/api-reference-v1/leads-api/update"},{"title":"List leads/customers","openapi":"openapi-leads GET /list","href":"/api-reference-v1/leads-api/list"},{"title":"Show leads and customers details","openapi":"openapi-leads GET /show","href":"/api-reference-v1/leads-api/show"},{"title":"Delete lead/customer","openapi":"openapi-leads DELETE /delete","href":"/api-reference-v1/leads-api/delete"}]},{"group":"Promoters","pages":[{"title":"Create a new promoter","openapi":"openapi-promoters POST /create","href":"/api-reference-v1/promoters-api/create"},{"title":"Modify existing promoter","openapi":"openapi-promoters PUT /update","href":"/api-reference-v1/promoters-api/update"},{"title":"List promoters","openapi":"openapi-promoters GET /list","href":"/api-reference-v1/promoters-api/list"},{"title":"Show promoter details and balance","openapi":"openapi-promoters GET /show","href":"/api-reference-v1/promoters-api/show-details"},{"title":"Move/switch a promoter from one campaign to another","openapi":"openapi-promoters POST /move_to_campaign","href":"/api-reference-v1/promoters-api/move-to-campaign"},{"title":"Add a promoter to a campaign","openapi":"openapi-promoters POST /add_to_campaign","href":"/api-reference-v1/promoters-api/add-to-campaign"},{"title":"Reset promoter's authentication token","openapi":"openapi-promoters PUT /refresh_token","href":"/api-reference-v1/promoters-api/refresh-token"},{"title":"Delete a promoter","openapi":"openapi-promoters DELETE /delete","description":"You can identify promoters by: `id` , `cust_id` , `auth_token` , `promoter_email` or `ref_id`(referral id). You need to pass at least one of these parameters.\u003cTip>**HTTP Request** \u003cbr/> `DELETE https://firstpromoter.com/api/v1/promoters/delete`\u003c/Tip>","href":"/api-reference-v1/promoters-api/delete"}]},{"group":"Rewards","pages":[{"title":"Create new reward","openapi":"openapi-rewards POST /create","href":"/api-reference-v1/rewards-api/create"},{"title":"List rewards and commissions","openapi":"openapi-rewards GET /list","description":"With this endpoint you can list all rewards and commissions assigned to a promotion, promoter, campaign or entire account using the API.\u003cNote>Pagination details are held on response headers. Add `--include` option on `curl` request to see the pagination details format and links to next pages.\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/> `GET https://firstpromoter.com/api/v1/rewards/list`\u003c/Tip>","href":"/api-reference-v1/rewards-api/list"},{"title":"Update a reward or commission","openapi":"openapi-rewards PUT /update","href":"/api-reference-v1/rewards-api/update"}]},{"group":"Payouts","pages":[{"title":"List payouts","openapi":"openapi-payouts GET /list","href":"/api-reference-v1/payouts-api/list"},{"title":"Create a new payout","openapi":"openapi-payouts POST /create","href":"/api-reference-v1/payouts-api/create"},{"title":"Change payouts status","openapi":"openapi-payouts PUT /update","href":"/api-reference-v1/payouts-api/update"}]},{"group":"Reports","pages":[{"title":"Overview reports","openapi":"openapi-reports GET /overview","href":"/api-reference-v1/reports-api/overview"},{"title":"Campaign reports","openapi":"openapi-reports GET /campaigns","href":"/api-reference-v1/reports-api/campaign"},{"title":"Promoter reports","openapi":"openapi-reports GET /promoters","href":"/api-reference-v1/reports-api/promoter"}]}]}]},{"anchor":"API Reference","icon":"webhook","href":"https://docs.firstpromoter.com/api-reference-v1/introduction"},{"anchor":"Help Center","icon":"square-question","href":"https://help.firstpromoter.com/en/"}]}]},"title":"Create new reward - FirstPromoter Docs","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}